[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [virt-tools-list] Provision through virt-manager not supported on para-virtualized Xen?



On 02/02/2012 08:05 AM, Cheer Xiao wrote:
> Hi all,
> 
> I was setting up libvirt and virt-manager for managing Xen VMs. But
> when I hit "New" in virt-manager to provision a new VM, virt-manager
> gives me the error: "No install options available for this
> connection."
> 
> The hypervisor being used is para-virtualized Xen, running on Debian Squeeze.
> 
> lux-002# xm info
> host                   : lux-002
> release                : 2.6.32-5-xen-686
> version                : #1 SMP Mon Jan 16 19:46:09 UTC 2012
> machine                : i686
> nr_cpus                : 4
> nr_nodes               : 1
> cores_per_socket       : 1
> threads_per_core       : 2
> cpu_mhz                : 3200
> hw_caps                :
> bfebfbff:20100000:00000000:00000180:0000641d:00000000:00000001:00000000
> virt_caps              :
> total_memory           : 8191
> free_memory            : 1150
> node_to_cpu            : node0:0-3
> node_to_memory         : node0:1150
> node_to_dma32_mem      : node0:578
> max_node_id            : 0
> xen_major              : 4
> xen_minor              : 0
> xen_extra              : .1
> xen_caps               : xen-3.0-x86_32p
> xen_scheduler          : credit
> xen_pagesize           : 4096
> platform_params        : virt_start=0xf5800000
> xen_changeset          : unavailable
> xen_commandline        : placeholder com1=9600,8n1 console=com1,vga
> cc_compiler            : gcc version 4.4.5 (Debian 4.4.5-8)
> cc_compile_by          : waldi
> cc_compile_domain      : debian.org
> cc_compile_date        : Mon Nov  7 09:18:26 CET 2011
> xend_config_format     : 4
> lux-002# libvirtd --version
> libvirtd (libvirt) 0.8.3
> 

libvirt pokes into the host machine to try and figure out it's virt
capabilities. So something must be going wrong there. Here's the function it
uses in libvirt code:

http://libvirt.org/git/?p=libvirt.git;a=blob;f=src/xen/xen_hypervisor.c;h=b5b2328c22ccffb17f7710b3ed6064907d744215;hb=HEAD#l2563

Something must be funky or unexpected with /sys/hypervisor/properties/capabilities

> I manage the VMs using my local laptop, running latest Archlinux and
> latest virt-manager.
> 
> blackie% uname -a
> Linux blackie 3.2.2-1-ARCH #1 SMP PREEMPT Thu Jan 26 08:40:20 CET 2012
> x86_64 Intel(R) Core(TM)2 Duo CPU T6670 @ 2.20GHz GenuineIntel
> GNU/Linux
> blackie% libvirtd --version
> libvirtd (libvirt) 0.9.9
> blackie% virt-manager --version
> 0.9.0
> 
> Another perhaps related issue: when I try to provision through
> virt-install, I always run into this:
> 
> blackie% virt-install --connect xen+ssh://root lux-002
> ERROR    Must be root to create Xen guests
> blackie% virt-install --version
> 0.600.0
> 

That's a virt-install bug fixed in 0.600.1 which was released a couple days
ago. Probably won't solve your 'no install options' problem though.

- Cole



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]